/** @overview nodeunit test case. */

var testResource = require('../../../test_resource'),
    BatchLogger = require('../../../../lib/log/batch_logger.js');

exports.setUp = function (done) {
    done();
};

exports.tearDown = function (done) {
    done();
};


exports['Batch logger.'] = function (test) {
    var logger = new BatchLogger().filename(testResource.resolveWorkFile('work_batch_logger.log'));
    logger._err = logger._log = function (msg) {
        test.ok(msg);
    };
    logger.batchStart('Foo');
    logger.batchSuccess('Foo');
    logger.batchFail('Foo');
    test.done();
};